Bug 1573539 - Dashboard widget is not providing exact content due to Type conversion Exception.
Summary: Dashboard widget is not providing exact content due to Type conversion Except...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.2
Assignee: Yuri Rudman
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1564986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:02 UTC by Satoe Imaishi
Modified: 2018-05-07 20:50 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1564986
Environment:
Last Closed: 2018-05-07 20:50:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:50:46 UTC

Comment 2 CFME Bot 2018-05-01 16:12:32 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/35dc609e78a6d7e57e6903a159e72f1ddc180266
commit 35dc609e78a6d7e57e6903a159e72f1ddc180266
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue May  1 09:38:12 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue May  1 09:38:12 2018 -0400

    Merge pull request #17347 from yrudman/do-not-changed-user-current-group-when-do-rback-search

    Do not change current_group for super admin user when executing Rbac#lookup_user_group
    (cherry picked from commit 2d81fcec137de378fbbb377e52f6fcea1baa7124)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1573539

 lib/rbac/filterer.rb | 22 +-
 spec/lib/rbac/filterer_spec.rb | 8 +
 2 files changed, 20 insertions(+), 10 deletions(-)

Comment 3 Dmitry Misharov 2018-05-02 12:47:47 UTC
Fixed and verified in 5.9.2.4.20180501195858_35dc609. Widget content is generated successfully.

Comment 6 errata-xmlrpc 2018-05-07 20:50:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.